      SUBROUTINE QEFUNC
     I                  (MESSFL,SCLU)
C
C     + + + PURPOSE + + +
C     edit functional parameters
C
C     + + + DUMMY ARGUMENTS + ++ 
      INTEGER   MESSFL,SCLU
C
C     + + + ARGUMENT DEFINITIONS + + +
C     MESSFL - Fortran unit number for message file
C     SCLU   - cluster number on message file
C
C     + + + LOCAL VARIABLES + + +
      INTEGER    SGRP,DONFG,RESP
C
C     + + + EXTERNALS + + +
      EXTERNAL   QRESP, QEFGEN, QEFHYD, QEFKIN, QEFFUN, QEFTCL
C
C     + + + END SPECIFICATIONS + + +
C
 5    CONTINUE
        DONFG=0
        SGRP= 2
        CALL QRESP (MESSFL,SCLU,SGRP,RESP)
C
        GO TO (10,20,30,40,50,60), RESP
C
 10     CONTINUE
C         general parameters
          CALL QEFGEN (MESSFL)
          GO TO 100
C
 20     CONTINUE
C         forcing functions
          CALL QEFFUN (MESSFL)
          GO TO 100
C
 30     CONTINUE
C         hydraulic parameters
          CALL QEFHYD (MESSFL)
          GO TO 100
C
 40     CONTINUE
C         kinetic parameters
          CALL QEFKIN (MESSFL)
          GO TO 100
C
 50     CONTINUE
C         temperature and climatology
          CALL QEFTCL (MESSFL)
          GO TO 100
C
 60     CONTINUE
C         done with functional parameters
          DONFG= 1
          GO TO 100
C
 100    CONTINUE
      IF (DONFG.EQ.0) GO TO 5
C
      RETURN
      END
